Package: groovy.lang

## [Java] Class GroovyClassLoader.InnerLoader

- groovy.lang.GroovyClassLoader.InnerLoader

-     public static class GroovyClassLoader.InnerLoader
      extends GroovyClassLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyClassLoader` | `classCache, sourceCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InnerLoader (GroovyClassLoader delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addClasspath(String path)`
    `` | `public void` | `addURL(URL url)`
    `` | `public void` | `clearAssertionStatus()`
    `` | `public void` | `clearCache()`
    `` | `public void` | `close()`
    `` | `public Class` | `defineClass(ClassNode classNode, String file, String newCodeBase)`
    `` | `public Class` | `defineClass(String name, byte[] b)`
    `` | `public URL` | `findResource(String name)`
    `` | `public Enumeration<URL>` | `findResources(String name)`
    `` | `public String` | `generateScriptName()`
    `` | `public Class[]` | `getLoadedClasses()`
    `` | `public URL` | `getResource(String name)`
    `` | `public InputStream` | `getResourceAsStream(String name)`
    `` | `public GroovyResourceLoader` | `getResourceLoader()`
    `` | `public Enumeration<URL>` | `getResources(String name)`
    `` | `public long` | `getTimeStamp()`
    `` | `public URL[]` | `getURLs()`
    `` | `public Boolean` | `isShouldRecompile()`
    `` | `public Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
    `` | `public Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript)`
    `` | `public Class<?>` | `loadClass(String name)`
    `` | `public Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
    `` | `public Class` | `parseClass(File file)`
    `` | `public Class` | `parseClass(String text, String fileName)`
    `` | `public Class` | `parseClass(String text)`
    `` | `public Class` | `parseClass(Reader reader, String fileName)`
    `` | `public Class` | `parseClass(InputStream in, String fileName)`
    `` | `public Class` | `parseClass(GroovyCodeSource codeSource)`
    `` | `public void` | `setClassAssertionStatus(String className, boolean enabled)`
    `` | `public void` | `setDefaultAssertionStatus(boolean enabled)`
    `` | `public void` | `setPackageAssertionStatus(String packageName, boolean enabled)`
    `` | `public void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`
    `` | `public void` | `setShouldRecompile(Boolean mode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `addClasspath, addURL, clearCache, close, createCollector, createCompilationUnit, defineClass, defineClass, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, hasCompatibleConfiguration, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, loadGroovySource, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, run, setClassCacheEntry, setResourceLoader, setShouldRecompile`

- - ### Constructor Detail

    - #### public InnerLoader(GroovyClassLoader delegate)

  - ### Method Detail

    - #### @Override public void addClasspath(String path)

    - #### @Override public void addURL(URL url)

    - #### @Override public void clearAssertionStatus()

    - #### @Override public void clearCache()

    - #### @Override public void close()

    - #### @Override public Class defineClass(ClassNode classNode, String file, String newCodeBase)

    - #### @Override public Class defineClass(String name, byte[] b)

    - #### @Override public URL findResource(String name)

    - #### @Override public Enumeration<URL> findResources(String name)

    - #### @Override public String generateScriptName()

    - #### @Override public Class[] getLoadedClasses()

    - #### @Override public URL getResource(String name)

    - #### @Override public InputStream getResourceAsStream(String name)

    - #### @Override public GroovyResourceLoader getResourceLoader()

    - #### @Override public Enumeration<URL> getResources(String name)

    - #### public long getTimeStamp()

    - #### @Override public URL[] getURLs()

    - #### @Override public Boolean isShouldRecompile()

    - #### @Override public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

    - #### @Override public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript)

    - #### @Override public Class<?> loadClass(String name)

    - #### @Override public Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

    - #### @Override public Class parseClass(File file)

    - #### @Override public Class parseClass(String text, String fileName)

    - #### @Override public Class parseClass(String text)

    - #### @Override public Class parseClass(Reader reader, String fileName)

    - #### @Override @Deprecated public Class parseClass(InputStream in, String fileName)

    - #### @Override public Class parseClass(GroovyCodeSource codeSource)

    - #### @Override public void setClassAssertionStatus(String className, boolean enabled)

    - #### @Override public void setDefaultAssertionStatus(boolean enabled)

    - #### @Override public void setPackageAssertionStatus(String packageName, boolean enabled)

    - #### @Override public void setResourceLoader(GroovyResourceLoader resourceLoader)

    - #### @Override public void setShouldRecompile(Boolean mode)